body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    overflow: hidden; /* 隐藏页面溢出部分 */
}

.container {
    display: flex;
    transition: all 0.5s; /* 添加动画过渡效果 */
}

.sidebar {
    width: 0; /* 初始状态下左侧占一半宽度 */
    background-color: #333;
    color: white;
    /*overflow-y: auto;*/
    /*padding: 20px;*/
    box-sizing: border-box;
    transition: width 0.5s; /* 添加宽度变化的动画效果 */
    position: relative;
}
.sidebar.open {
    width: 50%;
}
#draw {
    position: absolute;
    right: 10px;
    top: 10px;
    height: 37px;
    outline: none;
    background: bisque;
    border: none;
    border-radius: 3px;
    width: 70px;
    font-size: 14px;
    cursor: pointer;
}
#full_screen_draw {
    position: absolute;
    right: 100px;
    top: 10px;
    height: 37px;
    outline: none;
    background: bisque;
    border: none;
    border-radius: 3px;
    width: 90px;
    font-size: 14px;
    cursor: pointer;
}
.addJsonDiv {
    position: absolute;
    right: 85px;
    top: 10px;
    border: none;
    border-radius: 3px;
    font-size: 14px;
    width: calc(50vw - 140px);
    height: 37px;
    line-height: 37px;
}
#addJsonBtn {
    height: 37px;
    outline: none;
    background: #FF9800;
    border: none;
    border-radius: 3px;
    width: 110px;
    font-size: 14px;
    cursor: pointer;
}
.sidebar textarea {
    margin: 50px 10px 10px;
    height: calc(100% - 60px);
    width: calc(100% - 25px);
    resize: none;
    outline: none;
    font-size: 16px;
    border: none;
}

.content {
    overflow: hidden;
    flex-grow: 1;
    padding: 50px 10px 10px 10px;
    /*background-color: #fff;*/
    overflow-y: auto;
    height: 100vh;
    box-sizing: border-box;
    background: #eee;
}

#toggleSidebar {
    position: fixed;
    top: 10px;
    left: 10px;
    background-color: #ffc107;
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    transition: left 0.5s; /* 添加左侧按钮位置变化的动画效果 */
}

#toggleSidebar.open {
    left: 60%; /* 缩回后按钮位置 */
}

#toggleSidebar.open + .container {
    margin-left: 50px; /* 缩回后右侧内容向右移动 */
}
